Skip to content
Start here

List Site LANs

GET/accounts/{account_id}/magic/sites/{site_id}/lans

Lists Site LANs associated with an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
site_id: string

Identifier

maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of LAN { id, bond_id, ha_link, 9 more }
id: optional string

Identifier

maxLength32
bond_id: optional number
is_breakout: optional boolean

mark true to use this LAN for source-based breakout traffic

is_prioritized: optional boolean

mark true to use this LAN for source-based prioritized traffic

name: optional string
nat: optional Nat { static_prefix }
static_prefix: optional string

A valid CIDR notation representing an IP range.

physport: optional number
routed_subnets: optional array of RoutedSubnet { next_hop, prefix, nat }
next_hop: string

A valid IPv4 address.

prefix: string

A valid CIDR notation representing an IP range.

nat: optional Nat { static_prefix }
static_prefix: optional string

A valid CIDR notation representing an IP range.

site_id: optional string

Identifier

maxLength32
static_addressing: optional LANStaticAddressing { address, dhcp_relay, dhcp_server, 2 more }

If the site is not configured in high availability mode, this configuration is optional (if omitted, use DHCP). However, if in high availability mode, static_address is required along with secondary and virtual address.

address: string

A valid CIDR notation representing an IP range.

dhcp_relay: optional DHCPRelay { server_addresses }
server_addresses: optional array of string

List of DHCP server IPs.

dhcp_server: optional DHCPServer { dhcp_pool_end, dhcp_pool_start, dns_server, 2 more }
dhcp_pool_end: optional string

A valid IPv4 address.

dhcp_pool_start: optional string

A valid IPv4 address.

dns_server: optional string

A valid IPv4 address.

dns_servers: optional array of string
reservations: optional map[string]

Mapping of MAC addresses to IP addresses

secondary_address: optional string

A valid CIDR notation representing an IP range.

virtual_address: optional string

A valid CIDR notation representing an IP range.

vlan_tag: optional number

VLAN ID. Use zero for untagged.

success: true

Whether the API call was successful

List Site LANs

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/sites/$SITE_ID/lans \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "bond_id": 2,
      "ha_link": true,
      "is_breakout": true,
      "is_prioritized": true,
      "name": "name",
      "nat": {
        "static_prefix": "192.0.2.0/24"
      },
      "physport": 1,
      "routed_subnets": [
        {
          "next_hop": "192.0.2.1",
          "prefix": "192.0.2.0/24",
          "nat": {
            "static_prefix": "192.0.2.0/24"
          }
        }
      ],
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "dhcp_relay": {
          "server_addresses": [
            "192.0.2.1"
          ]
        },
        "dhcp_server": {
          "dhcp_pool_end": "192.0.2.1",
          "dhcp_pool_start": "192.0.2.1",
          "dns_server": "192.0.2.1",
          "dns_servers": [
            "192.0.2.1"
          ],
          "reservations": {
            "00:11:22:33:44:55": "192.0.2.100",
            "AA:BB:CC:DD:EE:FF": "192.168.1.101"
          }
        },
        "secondary_address": "192.0.2.0/24",
        "virtual_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "bond_id": 2,
      "ha_link": true,
      "is_breakout": true,
      "is_prioritized": true,
      "name": "name",
      "nat": {
        "static_prefix": "192.0.2.0/24"
      },
      "physport": 1,
      "routed_subnets": [
        {
          "next_hop": "192.0.2.1",
          "prefix": "192.0.2.0/24",
          "nat": {
            "static_prefix": "192.0.2.0/24"
          }
        }
      ],
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "dhcp_relay": {
          "server_addresses": [
            "192.0.2.1"
          ]
        },
        "dhcp_server": {
          "dhcp_pool_end": "192.0.2.1",
          "dhcp_pool_start": "192.0.2.1",
          "dns_server": "192.0.2.1",
          "dns_servers": [
            "192.0.2.1"
          ],
          "reservations": {
            "00:11:22:33:44:55": "192.0.2.100",
            "AA:BB:CC:DD:EE:FF": "192.168.1.101"
          }
        },
        "secondary_address": "192.0.2.0/24",
        "virtual_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}